Bug 49385

Summary: [weston] Weston does not compile; undeclared identifiers from libxkbcommon
Product: Wayland Reporter: U. Artie Eoff <ullysses.a.eoff>
Component: westonAssignee: Kristian Høgsberg <krh>
Status: VERIFIED FIXED QA Contact:
Severity: normal    
Priority: medium CC: darxus
Version: unspecified   
Hardware: x86-64 (AMD64)   
OS: Linux (All)   
Whiteboard:
i915 platform: i915 features:
Attachments: Build Log

Description U. Artie Eoff 2012-05-02 07:39:04 UTC
Created attachment 60901 [details]
Build Log

cairo (master) db4ee947c3fc2c057dd8e84cdfcb779e7c62e5d5
dri2proto (master) 7fd18b15646a62bd82a4eb0eca60a34c1731813d
drm (master) 5288729823ee1c243023758c35fbe8e3a70ccf9c
glproto (master) 29d5b553b30755a25300c30b67d39b37c9a76466
kbproto (master) 391a1f6de6315fc0196d407d800597488315cccb
libX11 (master) 52e1b5cc3b6de76ccf4285b55652474a522ed9a8
libxkbcommon (master) 409ec8a12ef54f3eea704a8234e4cd26928bf87e
macros (master) 0890e4003aacfa7113ab3f4e3ad7c5636f8e922a
mesa (master) 4a26454e979251db25bab68685835fa32c099429
pixman (master) 2d431b53d3cdbf1997e2d3b8e17408c12220c3a1
wayland (master) 35fc72eb8b967499332aaf1e3cf20232b7a7efac
weston (master) 4577adce8cb547d390a2cbea9e9f9e73eab1b8c2
xproto (master) 20202784b9700d973d5301f0cb3243eba99fc349

Weston fails to compile with latest libxkbcommon commits (~90 commits to libxkbcommon yesterday, May 1, 2012).  Errors include "unknown identifiers" for XKB modifier masks (see attached error log).  Last known good weston build was with "libxkbcommon (master) 3d672fcfea6b823db4793b9ad1c3aadc4b547a08".
Comment 1 Darxus 2012-05-02 07:48:08 UTC
I wondered if I should post to the list about this or something.  This is a known and planned problem.  Daniel Stone, who maintains libxkbcommon, modified libxkbcommon master in a way that broke compatibility with weston master, and posted patches for weston master to the wayland mailing list to handle it.  They haven't been applied yet.  My automated build testing script that alerted me of the problem came up with the same last known good commit as you did.
Comment 2 U. Artie Eoff 2012-05-02 08:51:06 UTC
Ah yes, I somehow overlooked those posted patches.  Indeed, these kind of breakages are difficult to avoid without some coordinated effort to ensure dependent projects receive compatible changes in a timely manner.  Our daily automated wayland/weston build alerted us of this breakage, too.  In general, I would expect cross-dependent projects to have these issues resolved within a window of a day or two-- depending on the complexity of the change.  Perhaps I jumped the gun by reporting the issue here so quickly; but now everyone is aware of the problem and hopefully we'll have those new patches pushed soon (before it starts to affect everyone's workflow :).
Comment 4 Kristian Høgsberg 2012-05-08 13:29:09 UTC
weston master now builds with xkbcommon master again.